b841d4f88396b3f2bb50cfc9ac2f07a8c0eccc25
[debian/bti.git] / debian / changelog
1 bti (034-5) unstable; urgency=medium
2
3   * Declare compliance with Debian Policy 4.5.0.
4   * Set Rules-Requires-Root: no.
5   * Bump debhelper-compat to 12.
6   * debian/watch: use uscan version 4.
7   * Set upstream metadata fields: Bug-Submit.
8   * Remove obsolete fields Contact, Name from debian/upstream/metadata.
9   * Update years of packaging copyright.
10   * Update Homepage in debian/control. Thanks to duck.
11
12  -- gregor herrmann <gregoa@debian.org>  Fri, 01 May 2020 20:15:04 +0200
13
14 bti (034-4) unstable; urgency=medium
15
16   * Add patch from upstream pull request to remove is_error() macro
17     which is deprecated in json-c 0.13.1 and later removed competely.
18     (Closes: #915839)
19   * Fix Vcs-* fields.
20   * Use HTTPS for Format URL in debian/copyright.
21   * Add debian/upstream/metadata.
22   * Set bindnow linker flag in debian/rules.
23   * Declare compliance with Debian Policy 4.3.0.
24   * Remove unneeded version constraint from build dependency.
25   * Remove trailing whitespace from debian/*.
26   * Add a (superficial) autopkgtest.
27
28  -- gregor herrmann <gregoa@debian.org>  Sun, 23 Dec 2018 23:26:10 +0100
29
30 bti (034-3) unstable; urgency=medium
31
32   * Update debian/control priority to "optional"
33   * Bump Standards-Version to 4.1.4
34   * Use https URLs in debian/control
35   * Bump copyright years in debian/copyright
36   * Use debhelper and compat level 11; drop dh-autoreconf dependency,
37     which is enabled by default since compat level 10.
38
39  -- tony mancill <tmancill@debian.org>  Sun, 01 Jul 2018 08:18:41 -0700
40
41 bti (034-2) unstable; urgency=medium
42
43   * debian/watch: switch upstream URL back to kernel.org.
44   * Also update Source field in debian/copyright.
45   * Add build dependency on pkg-config.
46     Thanks to David Su├írez for the bug report.
47     (Closes: #747771)
48
49  -- gregor herrmann <gregoa@debian.org>  Sun, 11 May 2014 21:01:38 +0200
50
51 bti (034-1) unstable; urgency=medium
52
53   * New upstream release. Important changes:
54     - use https for all Twitter URLs
55       Closes: #735367
56     - drop (already broken) support for StatusNet / identi.ca (which has
57       switched from StatusNet to the never-supported pump.io)
58       Closes: #714330, #717133
59   * debian/*: don't mention identi.ca/StatusNet anymore.
60   * Add patch to remove some more references to identi.ca from the help
61     output and the example config.
62   * Drop two patches (taken from upstream or fixed identically),
63     refresh one (offset).
64   * Update years of packaging copyright.
65   * Declare compliance with Debian Policy 3.9.5.
66
67  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jan 2014 19:01:33 +0100
68
69 bti (033-2) unstable; urgency=low
70
71   * Add patch use-EIO-instead-of-EREMOTEIO.patch, taken from upstream git.
72     (Closes: #714335)
73
74  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 12:55:53 +0200
75
76 bti (033-1) unstable; urgency=low
77
78   * New upstream release:
79     - fixes "bti should terminate with an error if the --config file can't
80       be read" (Closes: #669192)
81     - fixes "bti no longer works with Twitter and loses posted tweets"
82       by adjusting to the Twitter API v 1.1
83       (Closes: #714032)
84   * Refresh manpage-debian.patch (offset).
85   * Add build dependency on libjson-c-dev.
86   * Add patch to handle Debian's libjson-c.
87   * Add a patch to fix a spelling mistake in the manpage.
88   * Update OAuth instructions on README.Debian. (Closes: #706104)
89   * Update long description (direct messages are supported now).
90
91  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 01:55:26 +0200
92
93 bti (032-2) unstable; urgency=low
94
95   * Update Vcs-* headers.
96   * debian/watch: update after github URL schema change.
97   * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
98     #650138) and make build dependency on liboauth-dev versioned just in
99     case). (LP: #1072720)
100   * Remove version from bash-completion build dependency, nothing older in
101     the archive.
102   * debian/copyright: switch formatting to Copyright-Format 1.0.
103   * Update years of packaging copyright.
104   * Set Standards-Version to 3.9.4 (no changes).
105   * Bump debhelper compatibility level to 9.
106   * debian/rules: make build non-silent.
107
108  -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200
109
110 bti (032-1) unstable; urgency=low
111
112   * New upstream release
113   * debian/watch: use github redirector, there are no released tarballs at the
114     moment.
115   * The tarball from github doesn't ship a configure script; use
116     dh-autoreconf.
117   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
118     included upstream).
119
120  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
121
122 bti (031-4) unstable; urgency=low
123
124   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
125     conflict with each other, and liboauth-dev now requires the former.
126     (Fixes a not-yet-detected FTBFS.)
127
128  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
129
130 bti (031-3) unstable; urgency=low
131
132   * Add patch to output the correct configfile name (identi.ca/OAuth/access
133     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
134
135  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
136
137 bti (031-2) unstable; urgency=low
138
139   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
140     URI's to point to https instead of http (closes: #602507).
141   * Set Standards-Version to 3.9.2 (no changes).
142   * Improve long description.
143
144  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
145
146 bti (031-1) unstable; urgency=low
147
148   * New upstream release:
149     - addresses "bti doesn't warn if the password is incorrect": check server
150       replies in non-background mode, only in non-OAuth mode
151       (partly solves #602502)
152
153  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
154
155 bti (030-1) unstable; urgency=low
156
157   * New upstream release.
158   * Switch to debhelper 8.
159
160  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
161
162 bti (029-2) unstable; urgency=low
163
164   * Upload to unstable.
165
166  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
167
168 bti (029-1) experimental; urgency=low
169
170   * New upstream release: includes fixes for
171     + "the --dry-run option has no effect (tweets get posted anyway)
172        with OAuth" (closes: #608608)
173     + "--replyto doesn't work with OAuth" (closes: #608112)
174   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
175     description and add a patch to change the name in the manpage and the
176     example config; thanks to Julien Valroff for the bug report
177     (closes: #605407).
178   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
179     upstream.
180   * Refresh remaining patches.
181   * debian/copyright: update years of upstream and packaging copyright; update
182     formatting.
183   * Don't install README anymore.
184   * Upload to experimental because of the freeze.
185
186  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
187
188 bti (028-2) unstable; urgency=low
189
190   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
191     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
192     request_token URI in order to make OAuth work with identi.ca
193     (closes: #602507).
194   * Minor fixes in README.Debian.
195
196  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
197
198 bti (028-1) unstable; urgency=low
199
200   * New upstream release:
201     - support for replying to notices
202     - adds OAuth support for both twitter and identi.ca (closes: #588235)
203     - split --background from --bash, and make the latter imply the former
204   * Refresh manpage-debian.patch.
205   * Set Standards-Version to 3.9.1 (no changes).
206   * Add build dependency on liboauth-dev.
207   * debian/rules: switch order of dh arguments (preparation for dh8).
208   * debian/copyright: update years of upstream copyright.
209   * Add README.Debian about OAuth usage.
210
211  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
212
213 bti (026-1) unstable; urgency=low
214
215   * Bump build dependency on bash-completion (needed for --with
216     bash-completion in debian/rules).
217
218   * New upstream release.
219   * Refresh patch manpage-debian.patch and DEP3 patch headers.
220   * debian/copyright: refresh DEP5 header, update years of packaging
221     copyright.
222   * Set Standards-Version to 3.8.4 (no changes).
223   * Convert to source format 3.0 (quilt). Remove quilt framework.
224     Lower debhelper dependency.
225
226  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
227
228 bti (025-1) unstable; urgency=low
229
230   * New upstream release:
231     - set default host to twitter (closes: #563098)
232     - mention correct host in prompts (closes: #563099)
233
234  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
235
236 bti (024-1) unstable; urgency=low
237
238   * New upstream release:
239     - do not display password while user types it (LP: #386525)
240     - disable echo when reading the password
241     - add laconica group support
242   * debian/control: add Homepage field and adjust long description.
243   * Use "--with bash-completion" in debian/rules to install bash-completion
244     snippet; bump build dependencies on debhelper and bash-completion in
245     debian/control.
246
247  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
248
249 bti (023-2) unstable; urgency=low
250
251   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
252     Matthias Klose for the pointer.
253   * Set Standards-Version to 3.8.3 (no changes).
254   * Add debian/README.source to document quilt usage.
255   * Simplify debian/rules, adjust versioned build dependencies on debhelper
256     and quilt in debian/control.
257   * Use dh_bash-completion for installing the completion snippet; adjust
258     debian/rules, add a versioned build dependency on bash-completion.
259
260  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
261
262 bti (023-1) unstable; urgency=low
263
264   * New upstream release, main changes:
265     - new 'verbose' mode
266     - SSL also for twitter
267   * debian/copyright: add new additional copyright holder.
268   * Refresh patch manpage-debian.patch.
269   * debian/control: mention additional actions in long description.
270
271  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
272
273 bti (022-1) unstable; urgency=low
274
275   * New upstream release, main changes:
276     - support for custim laconi.ca instances
277     - use SSL for identi.ca
278   * debian/copyright: add additional copyright holder.
279
280  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
281
282 bti (021-1) unstable; urgency=low
283
284   * New upstream release, contains changes in autoconf tools:
285     - simplify debian/rules and debian/install
286     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
287
288  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
289
290 bti (020-1) unstable; urgency=low
291
292   * New upstream release:
293     - remove patch getopt.patch, included upstream
294     - remove manpage for bti-shrink-urls from debian/, included upstream
295     - upstream uses autoconf, adjust debian/rules and debian/install, remove
296       debian/manpages
297
298  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
299
300 bti (017-1) unstable; urgency=low
301
302   * New upstream release.
303   * Add build-dependency on libpcre3-dev.
304   * Refresh patch manpage-debian.patch.
305   * debian/install: add new bti-shrink-urls.
306   * debian/copyright: add information about bti-shrink-urls.
307   * Create a manpage for bti-shrink-urls.
308   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
309     target which is not easier to use than the manual installation we've been
310     using).
311   * Add a new patch getopt.patch to make the new commandline options available
312     in bti.c.
313
314  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
315
316 bti (015-1) unstable; urgency=low
317
318   * New upstream release; from the RELEASE-NOTES:
319     "--action support, bti now can output data from the twitter
320     and identica servers".
321   * Add build dependency on libxml2-dev.
322   * Refresh patch manpage-debian.patch.
323   * Set Standards-Version to 3.8.1 (no changes).
324
325  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
326
327 bti (014-1) unstable; urgency=low
328
329   * New upstream release.
330
331  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
332
333 bti (013-1) unstable; urgency=low
334
335   * New upstream release.
336   * Use dh_install instead of dh_bash-completion to install the bash
337     completion snippet in order to work around a problem on the amd64 buildd
338     (closes: #513115). Drop build dependency on bash-completion.
339
340  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
341
342 bti (012-1) unstable; urgency=low
343
344   * New upstream release.
345   * Install the new bash completion script; add bash-completion to
346     Build-Depends and Suggests.
347   * Refresh patch manpage-debian.patch.
348
349  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
350
351 bti (011-1) unstable; urgency=low
352
353   * New upstream release.
354   * Add build dependency on libreadline5-dev.
355
356  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
357
358 bti (010-1) unstable; urgency=low
359
360   * New upstream release, includes a new --proxy option and honours the
361     http_proxy environment variable (closes: #511087).
362   * Refresh patch manpage-debian.patch.
363
364  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
365
366 bti (008-1) unstable; urgency=low
367
368   * New upstream release (due to december twitter server change).
369   * Update years of packaging copyright.
370
371  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
372
373 bti (007-1) unstable; urgency=low
374
375   * New upstream release.
376
377  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
378
379 bti (006-1) unstable; urgency=low
380
381   * Initial release (Closes: #503241)
382
383  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200